import React from 'react';
// import PropTypes from 'prop-types';
import Passed from "../passed";
export default function PassedCount(props) {
  var value = props.value;
  var passed = value.passed,
    count = value.count;
  return /*#__PURE__*/React.createElement("div", {
    className: "passed-status"
  }, /*#__PURE__*/React.createElement("span", {
    className: "status"
  }, /*#__PURE__*/React.createElement(Passed, {
    value: passed
  })), "\u603B\u6570\uFF1A", /*#__PURE__*/React.createElement("span", {
    className: "count-all"
  }, count.total), "\u901A\u8FC7\uFF1A", /*#__PURE__*/React.createElement("span", {
    className: "count-success"
  }, count.success), "\u5931\u8D25\uFF1A", /*#__PURE__*/React.createElement("span", {
    className: "count-failed"
  }, count.failed));
}
PassedCount.displayName = 'PassedCount';
// PassedCount.propTypes = {
//   value: PropTypes.shape({
//     passed: PropTypes.bool.isRequired,
//     count: PropTypes.shape({
//       total: PropTypes.number,
//       success: PropTypes.number,
//       failed: PropTypes.number,
//     }).isRequired,
//   }).isRequired,
//   tableProps: PropTypes.shape({
//     index: PropTypes.number,
//     record: PropTypes.object,
//   }).isRequired,
// };